<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>ZIAOSKLv20 - Žiadosť o povolenie na prevádzkovanie osobitného skladu</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/ZIA4321v20">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">ZIA4321v20</div>
</div>
<xsl:if test="/ZIA4321v20/zahlavie/text()"><div><label class="labelVis">zahlavie: </label><span class="contentVis wordwrap"><xsl:value-of select="./zahlavie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/ZIA4321v20/identifikacneudaje">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">identifikacneudaje</div>
</div>
<xsl:if test="/ZIA4321v20/identifikacneudaje/kodstatu/text()"><div><label class="labelVis">Kód štátu: </label><span class="contentVis wordwrap"><xsl:value-of select="./kodstatu"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/identifikacneudaje/icdph/text()"><div><label class="labelVis">Identifikačné číslo pre daň z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./icdph"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/identifikacneudaje/nazov/text()"><div><label class="labelVis">Meno a priezvisko platiteľa alebo obchodné meno alebo názov platiteľa: </label><span class="contentVis wordwrap"><xsl:value-of select="./nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/ZIA4321v20/Nazov_adresasidla/text()"><div><label class="labelVis">Nazov_adresasidla: </label><span class="contentVis wordwrap"><xsl:value-of select="./Nazov_adresasidla"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/ZIA4321v20/adresasidla">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresasidla</div>
</div>
<xsl:for-each select="/ZIA4321v20/adresasidla/adresa1Sekcia_1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresa1Sekcia_1</div>
</div>
<xsl:if test="/ZIA4321v20/adresasidla/adresa1Sekcia_1/Ulica_01/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./Ulica_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresasidla/adresa1Sekcia_1/Supisne_01/text()"><div><label class="labelVis">Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Supisne_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresasidla/adresa1Sekcia_1/Orientacnecislo_01/text()"><div><label class="labelVis">orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Orientacnecislo_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/adresasidla/adresa2Sekcia_1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresa2Sekcia_1</div>
</div>
<xsl:if test="/ZIA4321v20/adresasidla/adresa2Sekcia_1/PSC_01/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./PSC_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresasidla/adresa2Sekcia_1/Obec_01/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./Obec_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresasidla/adresa2Sekcia_1/Stat_01/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./Stat_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/adresasidla/Kontakt_01">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Kontakt_01</div>
</div>
<xsl:if test="/ZIA4321v20/adresasidla/Kontakt_01/Telefonnecislo_01/text()"><div><label class="labelVis">Telefónne číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Telefonnecislo_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresasidla/Kontakt_01/Email_01/text()"><div><label class="labelVis">Emailová adresa: </label><span class="contentVis wordwrap"><xsl:value-of select="./Email_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:if test="/ZIA4321v20/Nazov_adresaskladu/text()"><div><label class="labelVis">Nazov_adresaskladu: </label><span class="contentVis wordwrap"><xsl:value-of select="./Nazov_adresaskladu"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/ZIA4321v20/adresaskladu">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresaskladu</div>
</div>
<xsl:for-each select="/ZIA4321v20/adresaskladu/adresa1Sekcia_2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresa1Sekcia_2</div>
</div>
<xsl:if test="/ZIA4321v20/adresaskladu/adresa1Sekcia_2/Ulica_02/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./Ulica_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresaskladu/adresa1Sekcia_2/Supisne_02/text()"><div><label class="labelVis">Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Supisne_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresaskladu/adresa1Sekcia_2/Orientacnecislo_02/text()"><div><label class="labelVis">orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Orientacnecislo_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/adresaskladu/adresa2Sekcia_2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresa2Sekcia_2</div>
</div>
<xsl:if test="/ZIA4321v20/adresaskladu/adresa2Sekcia_2/PSC_02/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./PSC_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresaskladu/adresa2Sekcia_2/Obec_02/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./Obec_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/adresaskladu/Kontakt02">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Kontakt02</div>
</div>
<xsl:if test="/ZIA4321v20/adresaskladu/Kontakt02/Telefonnecislo_02/text()"><div><label class="labelVis">Telefónne číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Telefonnecislo_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/adresaskladu/Kontakt02/Skladovaciakapacita/text()"><div><label class="labelVis">Skladovacia kapacita osobitného skladu (v litroch): </label><span class="contentVis wordwrap"><xsl:value-of select="./Skladovaciakapacita"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/opravnenaosoba_sekcia">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">opravnenaosoba_sekcia</div>
</div>
<xsl:if test="/ZIA4321v20/opravnenaosoba_sekcia/opravnenaosoba/text()"><div><label class="labelVis">Meno a priezvisko osoby oprávnenej konať za osobu podávajúcu žiadosť: </label><span class="contentVis wordwrap"><xsl:value-of select="./opravnenaosoba"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/ZIA4321v20/opravnenaosoba_sekcia/Kontakt_03">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Kontakt_03</div>
</div>
<xsl:if test="/ZIA4321v20/opravnenaosoba_sekcia/Kontakt_03/Telefonnecislo_03/text()"><div><label class="labelVis">Telefónne číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./Telefonnecislo_03"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/opravnenaosoba_sekcia/Kontakt_03/Email_02/text()"><div><label class="labelVis">Emailová adresa: </label><span class="contentVis wordwrap"><xsl:value-of select="./Email_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/ziadatel">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">ziadatel</div>
</div>
<xsl:if test="/ZIA4321v20/ziadatel/konkurz/text()"><div><label class="labelVis">Na žiadateľa nie je ku dňu podania žiadosti vyhlásený konkurz alebo nevstúpil do likvidácie: </label><span class="contentVis wordwrap"><xsl:value-of select="./konkurz"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/ziadatel/nedoplatky/text()"><div><label class="labelVis">Žiadateľ nemá ku dňu podania žiadosti daňové nedoplatky a colné nedoplatky voči daňovému úradu a colnému úradu v súhrne viac ako 1 000 €: </label><span class="contentVis wordwrap"><xsl:value-of select="./nedoplatky"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/priloha">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">priloha</div>
</div>
<xsl:if test="/ZIA4321v20/priloha/priloha_01/text()"><div><label class="labelVis">Technická dokumentácia stacionárnej nádrže používanej ako meradlo objemu: </label><span class="contentVis wordwrap"><xsl:value-of select="./priloha_01"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/priloha/priloha_02/text()"><div><label class="labelVis">Doklad o overení stacionárnych nádrží a určených meradiel: </label><span class="contentVis wordwrap"><xsl:value-of select="./priloha_02"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/priloha/pocetmeradiel/text()"><div><label class="labelVis">Počet určených meradiel: </label><span class="contentVis wordwrap"><xsl:value-of select="./pocetmeradiel"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/priloha/opis/text()"><div><label class="labelVis">Spôsob zabezpečenia tovaru pred neoprávneným použitím: </label><span class="contentVis wordwrap"><xsl:value-of select="./opis"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/ZIA4321v20/vyhlasenie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">vyhlasenie</div>
</div>
<xsl:if test="/ZIA4321v20/vyhlasenie/ch_Vyhlasenie/text()"><div><label class="labelVis">Vyhlasujem, že uvedené údaje sú správne a úplné.: </label><span class="contentVis wordwrap"><xsl:value-of select="./ch_Vyhlasenie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/ZIA4321v20/vyhlasenie/Dna/text()"><div><label class="labelVis">Dátum: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./Dna" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

