<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" indent="yes" omit-xml-declaration="yes"/>
<xsl:strip-space elements="*" />
<xsl:template match="/">
<xsl:text>ZIAOSKLv20</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:choose><xsl:when test="not(/dokument/hlavicka)"><xsl:call-template name="hlavicka" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka"><xsl:call-template name="hlavicka"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose></xsl:template>
<xsl:template name="hlavicka">
<xsl:text>&#09;</xsl:text>
<xsl:text>hlavicka</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:choose><xsl:when test="not(/dokument/hlavicka/identifikacneCislo)"><xsl:call-template name="identifikacneCislo" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka/identifikacneCislo"><xsl:call-template name="identifikacneCislo"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose><xsl:choose><xsl:when test="not(/dokument/hlavicka/platitel)"><xsl:call-template name="platitel" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka/platitel"><xsl:call-template name="platitel"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose><xsl:choose><xsl:when test="not(/dokument/hlavicka/sidlo)"><xsl:call-template name="sidlo" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka/sidlo"><xsl:call-template name="sidlo"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose><xsl:choose><xsl:when test="not(/dokument/hlavicka/adresaSkladu)"><xsl:call-template name="adresaSkladu" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka/adresaSkladu"><xsl:call-template name="adresaSkladu"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose><xsl:choose><xsl:when test="not(/dokument/hlavicka/opravnenaOsoba)"><xsl:call-template name="opravnenaOsoba" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka/opravnenaOsoba"><xsl:call-template name="opravnenaOsoba"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose><xsl:if test="/dokument/hlavicka/bezKonkurzu/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Na žiadateľa nie je ku dňu podania žiadosti vyhlásený konkurz alebo nevstúpil do likvidácie: </xsl:text><xsl:value-of select="/dokument/hlavicka/bezKonkurzu"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/bezNedoplatkov/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Žiadateľ nemá ku dňu podania žiadosti daňové nedoplatky a colné nedoplatky voči daňovému úradu a colnému úradu v súhrne viac ako 1 000 €: </xsl:text><xsl:value-of select="/dokument/hlavicka/bezNedoplatkov"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:choose><xsl:when test="not(/dokument/hlavicka/priloha)"><xsl:call-template name="priloha" /></xsl:when><xsl:otherwise><xsl:if test="/dokument/hlavicka/priloha"><xsl:call-template name="priloha"></xsl:call-template></xsl:if></xsl:otherwise></xsl:choose><xsl:if test="/dokument/hlavicka/vyhlasenieDna/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Dátum : </xsl:text><xsl:value-of select="/dokument/hlavicka/vyhlasenieDna"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="identifikacneCislo">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Identifikačné číslo pre DPH podľa § 4 zákona o DPH</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/hlavicka/identifikacneCislo/kodStatu/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Kód štátu: </xsl:text><xsl:value-of select="/dokument/hlavicka/identifikacneCislo/kodStatu"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/identifikacneCislo/cislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/identifikacneCislo/cislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="platitel">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Meno a priezvisko platiteľa alebo obchodné meno alebo názov platiteľa</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:choose><xsl:when test="not(/dokument/hlavicka/platitel/riadok)"><xsl:call-template name="riadok_Sekcia" /></xsl:when><xsl:otherwise><xsl:for-each select="/dokument/hlavicka/platitel/riadok"><xsl:call-template name="riadok_Sekcia"></xsl:call-template></xsl:for-each></xsl:otherwise></xsl:choose></xsl:template>
<xsl:template name="riadok_Sekcia">
<xsl:if test="./text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>riadok: </xsl:text><xsl:value-of select="."/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="sidlo">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Adresa sídla, miesta podnikania alebo prevádzkarne</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/hlavicka/sidlo/ulica/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Ulica: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/ulica"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/supisneCislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Súpisné číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/supisneCislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/orientacneCislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Orientačné číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/orientacneCislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/psc/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>PSČ: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/psc"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/obec/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Obec : </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/obec"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/stat/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Štát: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/stat"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/telefon/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Telefónne číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/telefon"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/sidlo/email/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Emailová adresa: </xsl:text><xsl:value-of select="/dokument/hlavicka/sidlo/email"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="adresaSkladu">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Adresa osobitného skladu</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/hlavicka/adresaSkladu/ulica/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Ulica: </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/ulica"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/adresaSkladu/supisneCislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Súpisné číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/supisneCislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/adresaSkladu/orientacneCislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Orientačné číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/orientacneCislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/adresaSkladu/psc/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>PSČ: </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/psc"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/adresaSkladu/obec/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Obec: </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/obec"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/adresaSkladu/telefon/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Telefónne číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/telefon"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/adresaSkladu/kapacita/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Skladovacia kapacita osobitného skladu (v litroch): </xsl:text><xsl:value-of select="/dokument/hlavicka/adresaSkladu/kapacita"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="opravnenaOsoba">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Oprávnená osoba</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/hlavicka/opravnenaOsoba/osoba/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Meno a priezvisko osoby oprávnenej konať za osobu podávajúcu žiadosť: </xsl:text><xsl:value-of select="/dokument/hlavicka/opravnenaOsoba/osoba"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/opravnenaOsoba/telefon/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Telefónne číslo: </xsl:text><xsl:value-of select="/dokument/hlavicka/opravnenaOsoba/telefon"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/opravnenaOsoba/email/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Emailová adresa: </xsl:text><xsl:value-of select="/dokument/hlavicka/opravnenaOsoba/email"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="priloha">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Príloha k žiadosti</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/hlavicka/priloha/techDokumentacia/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Technická dokumentácia stacionárnej nádrže používanej ako meradlo objemu: </xsl:text><xsl:value-of select="/dokument/hlavicka/priloha/techDokumentacia"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/priloha/dokladOverenia/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Doklad o overení stacionárnych nádrží a určených meradiel: </xsl:text><xsl:value-of select="/dokument/hlavicka/priloha/dokladOverenia"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/priloha/pocetMeradiel/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Počet určených meradiel: </xsl:text><xsl:value-of select="/dokument/hlavicka/priloha/pocetMeradiel"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/priloha/sposobZabezpecenia/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Spôsob zabezpečenia tovaru pred neoprávneným použitím: </xsl:text><xsl:value-of select="/dokument/hlavicka/priloha/sposobZabezpecenia"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>

            <xsl:template name="formatAnyUri">
            <xsl:param name="anyUri" />
            <xsl:variable name="anyUriString" select="string($anyUri)" />
            <xsl:variable name="anyUriSubString">
            <xsl:choose>
            <xsl:when test="$anyUriString != '' and contains($anyUriString, 'mailto:') and contains($anyUriString, '@')">
            <xsl:value-of select="substring($anyUriString, 8, string-length($anyUriString))" />
            </xsl:when>
            <xsl:when test="$anyUriString != '' and contains($anyUriString, 'http://')">
            <xsl:value-of select="substring($anyUriString, 8, string-length($anyUriString))" />
            </xsl:when>
            <xsl:when test="$anyUriString != '' and contains($anyUriString, 'https://')">
            <xsl:value-of select="substring($anyUriString, 9, string-length($anyUriString))" />
            </xsl:when>
            <xsl:otherwise>
            <xsl:value-of select="$anyUriString"></xsl:value-of>
            </xsl:otherwise>
            </xsl:choose>
            </xsl:variable>
            <xsl:value-of select="$anyUriSubString"/>
            </xsl:template>
<xsl:template name="booleanCheckboxToString">
<xsl:param name="boolValue" />
<xsl:variable name="boolValueString" select="string($boolValue)" />
<xsl:choose>
<xsl:when test="$boolValueString = 'true' ">
<xsl:text>Áno</xsl:text>
</xsl:when>
<xsl:when test="$boolValueString = '1' ">
<xsl:text>Áno</xsl:text>
</xsl:when>
<xsl:when test="$boolValueString = 'false' ">
<xsl:text>Nie</xsl:text>
</xsl:when>
<xsl:when test="$boolValueString = '0' ">
<xsl:text>Nie</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$boolValueString"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="string-replace-all">
<xsl:param name="text"/>
<xsl:param name="replace"/>
<xsl:param name="by"/>
<xsl:choose>
<xsl:when test="contains($text, $replace)">
<xsl:value-of select="substring-before($text,$replace)"/>
<xsl:value-of select="$by"/>
<xsl:call-template name="string-replace-all">
<xsl:with-param name="text" select="substring-after($text,$replace)"/>
<xsl:with-param name="replace" select="$replace"/>
<xsl:with-param name="by" select="$by" />
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$text"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:variable name="dateString" select="string($date)" />
<xsl:choose>
<xsl:when test="$dateString != '' and string-length($dateString)=10 and string(number(substring($dateString, 1, 4))) != 'NaN' ">
<xsl:value-of select="concat(substring($dateString, 9, 2), '.', substring($dateString, 6, 2), '.', substring($dateString, 1, 4))" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$dateString"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="formatTimeTrimMinutes">
<xsl:param name="time" />
<xsl:variable name="timeString" select="string($time)" />
<xsl:if test="$timeString != ''">
<xsl:value-of select="substring($timeString, 1, 5)" />
</xsl:if>
</xsl:template>
<xsl:template name="formatToSkDateTime">
<xsl:param name="dateTime" />
<xsl:variable name="dateSubstring" select="substring($dateTime, 1, 10)" />
<xsl:variable name="timeSubstring" select="substring($dateTime, 12, 8)" />
<xsl:variable name="dateString">
<xsl:choose>
<xsl:when test="$dateSubstring != '' and string-length($dateSubstring)=10 and string(number(substring($dateSubstring, 1, 4))) != 'NaN' ">
<xsl:value-of select="concat(substring($dateSubstring, 9, 2), '.', substring($dateSubstring, 6, 2), '.', substring($dateSubstring, 1, 4))" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$dateSubstring"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="timeString">
<xsl:if test="$timeSubstring != ''">
<xsl:value-of select="substring($timeSubstring, 1, 5)" />
</xsl:if>
</xsl:variable>
<xsl:value-of select="concat($dateString,' ',$timeString)"/>
</xsl:template>
</xsl:stylesheet>
